Package org.jbpm.process.core.context.variable

## Interface Mappable

- All Known Implementing Classes:
    `ConstraintTrigger`, `EventTrigger`, `HumanTaskNode`, `StartNode`, `SubProcessNode`, `Trigger`, `WorkItemNode`

      public interface Mappable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addInAssociation​(DataAssociation dataAssociation)` |
    `void` | `addInMapping​(String parameterName, String variableName)` |
    `void` | `addOutAssociation​(DataAssociation dataAssociation)` |
    `void` | `addOutMapping​(String parameterName, String variableName)` |
    `List<DataAssociation>` | `getInAssociations()` |
    `String` | `getInMapping​(String parameterName)` |
    `Map<String,​String>` | `getInMappings()` |
    `List<DataAssociation>` | `getOutAssociations()` |
    `String` | `getOutMapping​(String parameterName)` |
    `Map<String,​String>` | `getOutMappings()` |
    `void` | `setInMappings​(Map<String,​String> inMapping)` |
    `void` | `setOutMappings​(Map<String,​String> outMapping)` |

- - ### Method Detail

    - #### addInMapping

          void addInMapping​(String parameterName,
                            String variableName)

    - #### setInMappings

          void setInMappings​(Map<String,​String> inMapping)

    - #### getInMapping

          String getInMapping​(String parameterName)

    - #### getInMappings

          Map<String,​String> getInMappings()

    - #### addInAssociation

          void addInAssociation​(DataAssociation dataAssociation)

    - #### getInAssociations

          List<DataAssociation> getInAssociations()

    - #### addOutMapping

          void addOutMapping​(String parameterName,
                             String variableName)

    - #### setOutMappings

          void setOutMappings​(Map<String,​String> outMapping)

    - #### getOutMapping

          String getOutMapping​(String parameterName)

    - #### getOutMappings

          Map<String,​String> getOutMappings()

    - #### addOutAssociation

          void addOutAssociation​(DataAssociation dataAssociation)

    - #### getOutAssociations

          List<DataAssociation> getOutAssociations()